package com.lz.common.emun;

public enum ChartOptType {

    SELF(-1, "考核人自己", "me"),
    APPOINT(0, "指定人员", "other"),
    MANAGER_1(1, "一级管理人员", "1_manager"),
    MANAGER_2(2, "二级管理人员", "2_manager"),
    MANAGER_3(3, "三级管理人员", "3_manager"),
    MANAGER_4(4, "四级管理人员", "4_manager"),
    MANAGER_5(5, "五级管理人员", "5_manager"),
    MANAGER_6(6, "六级管理人员", "6_manager"),
    MANAGER_7(7, "七级管理人员", "7_manager"),
    ;

    ChartOptType(int code, String name, String type){
        this.code = code;
        this.name = name;
        this.type = type;
    }
    private int code;
    private String name;
    private String type;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
